/*
  Add user id in top panel
  (c) fthx 2020
  License: GPL v3
*/

const Clutter = imports.gi.Clutter;
const St = imports.gi.St;
const Main = imports.ui.main;
const GLib = imports.gi.GLib;

let label;

function enable() {
  label = new St.Label({ text: GLib.get_real_name() + " :: " + GLib.get_user_name() + "@" + GLib.get_host_name(), 
  				y_align: Clutter.ActorAlign.CENTER, style_class: "user-label"});
  Main.panel.statusArea["aggregateMenu"]._power.indicators.insert_child_at_index(label, -1);
}

function disable() {
  Main.panel.statusArea["aggregateMenu"]._power.indicators.remove_child(label); 
}
